API Docs

Masterdata

Masterdata helps you keep your data consistent and of high quality. It is divided into several types, as listed in the table below.

Table of masterdata

Description SECTION value FIELD value
Skills technologies tags
Skill categories technologies category
Industries project_experiences industry
Project types project_experiences project_type
Contract types project_experiences contract_type
Roles cv_roles name
Certifications certifications name
Certification Organisers certifications organiser
Courses courses name
Course Programs courses program
Languages languages name
Language Levels languages level
Schools / Universities educations school
Degrees educations degree

Every request below takes a SECTION and FIELD pair from this table in place of <section> and <field> in the path. Each record holds its names in a values object keyed by language code (int is English). See Country & Language Codes for the codes Flowcase uses.

Reading individual masterdata

Request

Masterdata can be retrieved from the following API endpoint. Make sure to substitute the correct subdomain for your company and the SECTION and FIELD combination from the table above.

The include_categories parameter determines whether the masterdata's categories will be included in the result. Note: only skills (technologies/tags) can have categories.

GET https://<subdomain>.flowcase.com/api/v1/masterdata/<section>/<field>/<id>?include_categories=false

Response

An example response is shown below.

{
  "_id": "5a9019390e3b410f4fa10000",
  "id": "5a9019390e3b410f4fa10000",
  "section_type": "SECTION",
  "field_name": "FIELD",
  "values": { "int": "Name" },
  "external_unique_id": null,
  "help_text": {},
  "category_ids": ["5f3155e46c292a116ba80000"],
  "child_count": 0,
  // only included if `include_categories` parameter is 'true'
  "categories": [
    {
      "_id": "6a9019390e3b410f4fa10000",
      "id": "6a9019390e3b410f4fa10000",
      "section_type": "SECTION",
      "field_name": "FIELD",
      "values": { "int": "Category Name" },
      "external_unique_id": null,
      "help_text": {},
      "category_ids": [],
      "child_count": 1
    }
  ]
}

Listing masterdata

Request

Masterdata can be retrieved from the following API endpoint. Make sure to substitute the correct subdomain for your company and the SECTION and FIELD combination from the table above.

The include_categories parameter determines whether the masterdata's categories will be included in the result.

Change the offset and limit parameters to paginate the results.

e.g. To get the first page of 20 results:

GET https://<subdomain>.flowcase.com/api/v1/masterdata/<section>/<field>?offset=0&limit=20

and to get the next page set the offset to the number of the result to start from:

GET https://<subdomain>.flowcase.com/api/v1/masterdata/<section>/<field>?offset=20&limit=20

Response

An example response is shown below.

[
  {
    "_id": "5a9019390e3b410f4fa10000",
    "id": "5a9019390e3b410f4fa10000",
    "section_type": "SECTION",
    "field_name": "FIELD",
    "values": { "int": "Name" },
    "external_unique_id": null,
    "help_text": {},
    "category_ids": ["5f3155e46c292a116ba80000"],
    "child_count": 0,
    // only included if `include_categories` parameter is 'true'
    "categories": [
      // the masterdata categories if any
    ]
  }
  // ... more masterdata results
]

Creating masterdata

Request

Make a POST request using the SECTION and FIELD combination from the table above.

POST https://<subdomain>.flowcase.com/api/v1/masterdata/<section>/<field>

Request body

{
  "masterdata": {
    "values": { "int": "New" },
    "external_unique_id": "",
    "help_text": {},
    "category_ids": []
  }
}

Response

The new record is returned with the generated ID.

{
  "_id": "615dc65d8a12321125080000",
  "id": "615dc65d8a12321125080000",
  "section_type": "SECTION",
  "field_name": "FIELD",
  "values": { "int": "New" },
  "external_unique_id": "",
  "help_text": {},
  "category_ids": [],
  "child_count": 0
}

Updating masterdata

Request

Make a PUT request with the SECTION, FIELD and ID of the masterdata record.

PUT https://<subdomain>.flowcase.com/api/v1/masterdata/<section>/<field>/<id>

Request body

Include the fields in the request body that you wish to update.

{
  "masterdata": {
    "values": { "int": "New" },
    "external_unique_id": "1234"
  }
}

Response

An example response is shown below.

{
  "_id": "615dc65d8a12321125080000",
  "id": "615dc65d8a12321125080000",
  "section_type": "SECTION",
  "field_name": "FIELD",
  "values": { "int": "New" },
  "external_unique_id": "1234",
  "help_text": {},
  "category_ids": [],
  "child_count": 0
}

Deleting masterdata

Request

Make a DELETE request with the SECTION, FIELD and ID of the masterdata record.

DELETE https://<subdomain>.flowcase.com/api/v1/masterdata/<section>/<field>/<id>

Response

Response is always empty.